﻿

        @model  OperationalRiskException.Core.ViewModels.ReportDisplays.ReportResponce

        @{
            ViewBag.Title = "Report";
            Layout = "~/Views/Shared/_LayoutProcessor.cshtml";

        }

        <div class="row">

            @using (Html.BeginForm("Index", "Home", null, FormMethod.Post, new { @class = "form-inline" }))
            {

                <br />
                @*<div class="row col-md-12 justify-content-between">


                        <div class="form-group">
                            <label for="startdate">Select Category:</label>
                            <select name="category" id="category" class="form-control" disabled>
                                <option value="BusinessOffice">Business Office</option>
                                <option value="HeadOffice">Head Office</option>
                                <option value="Cluster">Cluster</option>
                                <option value="Regions">Regions</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label for="startdate">Select Start Date:</label>
                            <input type="text" class="form-control datetimepicker" id="startdate" name="startdate" disabled />
                        </div>
                        <div class="form-group">
                            <label for="enddate">Select End Date:</label>
                            <input type="text" class="form-control datetimepicker" id="enddate" name="enddate" disabled />
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary" disabled>Search...</button>
                        </div>


                    </div>*@

                <div class="form-group col-md-12 justify-content-end mt-3 mr-5 mb-3">
                    <button type="button" onclick="ExportToExcel('reportTable');" class="btn btn-success pull-right">Download View</button>
                </div>
            }
            <br />
            <hr />

        </div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card tablecontainer">
                    <div class="card-body">
                        <h4 class="card-title"></h4>
                        <p class="card-description">

                        </p>
                        <div class="table-responsive p-3" style="width:75vw">
                            <table id="reportTable" class="table table-bordered table-striped table-hover">
                                <thead>
                                    <tr>
                                        @{
                                            int i = 0;
                                            <th>S/No</th>
                                            foreach (var item in Model.tableHeader)
                                            {
                                                <th class="nowrap" style="white-space: nowrap;">
                                                    @item.value
                                                </th>
                                                i++;
                                                if (i == 1)
                                                {
                                                    <th class="nowrap" style="white-space: nowrap;">
                                                       
                                                    </th>
                                                }
                                            }
                                        }
                                    </tr>
                                </thead>
                                @{
                                    int k = 1;
                                    foreach (var items in Model.tableValue)
                                    {
                                                                <tr>
                                                                    @{
                                                                        int count = 0;
                                                                        <td>@k.ToString()</td>
                                                                        foreach (var y in items)
                                                                        {
                                                                            
                                                                            <td>@y.value </td>
                                                                            count++;
                                                                            if (count == 1)
                                                                            {
                                                                                <td> <a href="@Url.Action("ViewByDept","Report", new { dept=y.value})">View</a> </td>

                                                                            }

                                                                        }
                                                                    }
                                                                </tr>
                                        k++;
                                    }
                                }
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript">
            function ExportToExcel(tag) {
                debugger;
                var htmltable = document.getElementById(tag);
                var html = htmltable.outerHTML;
                window.open('data:application/vnd.ms-excel,' + encodeURIComponent(html));
            };
        </script>
